# PostWeatherLapseHealAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostWeatherLapseHealAbAttr

#### Hierarchy (View Summary)

- PostWeatherLapseAbAttr
  - PostWeatherLapseHealAbAttr

- Defined in src/data/ability.ts:3952

##### Index

### Constructors

constructor

### Properties

showAbility
weatherTypes

### Methods

addCondition
apply
applyPostWeatherLapse
canApply
canApplyPostWeatherLapse
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostWeatherLapseHealAbAttr(
  healFactor: number,
  ...weatherTypes: WeatherType [],
  ): PostWeatherLapseHealAbAttr

  #### Parameters

  - healFactor: number
  - ...weatherTypes: WeatherType []

  #### Returns PostWeatherLapseHealAbAttr

  Overrides PostWeatherLapseAbAttr.constructor

  - Defined in src/data/ability.ts:3955

## Properties

### showAbility

showAbility: boolean

Inherited from PostWeatherLapseAbAttr.showAbility

- Defined in src/data/ability.ts:184

### `Protected` weatherTypes

weatherTypes: WeatherType []

Inherited from PostWeatherLapseAbAttr.weatherTypes

- Defined in src/data/ability.ts:3922

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostWeatherLapseAbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from PostWeatherLapseAbAttr.apply

  - Defined in src/data/ability.ts:199

### applyPostWeatherLapse

- applyPostWeatherLapse(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  weather: Weather ,
  args: any[],
  ): void

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - weather: Weather
  - args: any[]

  #### Returns void

  Overrides PostWeatherLapseAbAttr.applyPostWeatherLapse

  - Defined in src/data/ability.ts:3965

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from PostWeatherLapseAbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyPostWeatherLapse

- canApplyPostWeatherLapse(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  weather: null | Weather ,
  args: any[],
  ): boolean

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - weather: null | Weather
  - args: any[]

  #### Returns boolean

  Overrides PostWeatherLapseAbAttr.canApplyPostWeatherLapse

  - Defined in src/data/ability.ts:3961

### getCondition

- getCondition(): AbAttrCondition

  #### Returns AbAttrCondition

  Inherited from PostWeatherLapseAbAttr.getCondition

  - Defined in src/data/ability.ts:3947

### getTriggerMessage

- getTriggerMessage(
  _pokemon: default ,
  _abilityName: string,
  ..._args: any[],
  ): null | string

  #### Parameters

  - _pokemon: default
  - _abilityName: string
  - ..._args: any[]

  #### Returns null | string

  Inherited from PostWeatherLapseAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:201